# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/storage-credentials/{name_arg}`

Gets a storage credential from the metastore.
 The caller must be a metastore admin, the owner of the storage credential, or have some permission on the storage credential.

API scopes: unity-catalog

## Path parameters

- `name_arg` (string, optional)
  Name of the storage credential.

## Returns

Returns the StorageCredentialInfo object.

## Response

```json
{
  "name": "string",
  "aws_iam_role": {
    "role_arn": "string",
    "unity_catalog_iam_arn": "string",
    "external_id": "string"
  },
  "azure_service_principal": {
    "directory_id": "string",
    "application_id": "string",
    "client_secret": "string"
  },
  "gcp_service_account_key": {
    "email": "string",
    "private_key_id": "string",
    "private_key": "string"
  },
  "azure_managed_identity": {
    "access_connector_id": "string",
    "managed_identity_id": "string",
    "credential_id": "string"
  },
  "databricks_gcp_service_account": {
    "email": "string",
    "private_key_id": "string",
    "credential_id": "string"
  },
  "comment": "string",
  "read_only": true,
  "owner": "string",
  "id": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "used_for_managed_storage": true,
  "full_name": "string",
  "isolation_mode": "string"
}
```

